ossl_ssl.h File Reference

Go to the source code of this file.

## Macros

#define | GetSSLSession(obj, sess)
#define | SafeGetSSLSession(obj, sess)

## Functions

void | Init_ossl_ssl (void)
void | Init_ossl_ssl_session (void)

## Variables

VALUE | mSSL
VALUE | eSSLError
VALUE | cSSLSocket
VALUE | cSSLContext
VALUE | cSSLSession

## Macro Definition Documentation

#define GetSSLSession | ( |  | obj,
|  |  | sess
| ) |  |

Value:
do { \
Data_Get_Struct((obj), SSL_SESSION, (sess)); \
if (!(sess)) { \
ossl_raise(rb_eRuntimeError, "SSL Session wasn't initialized."); \
} \
} while (0)

Definition at line 14 of file ossl_ssl.h.

#define SafeGetSSLSession | ( |  | obj,
|  |  | sess
| ) |  |

Value:
do { \
OSSL_Check_Kind((obj), cSSLSession); \
GetSSLSession((obj), (sess)); \
} while (0)

Definition at line 21 of file ossl_ssl.h.

Referenced by ossl_ssl_set_session(), ossl_sslctx_session_add(), ossl_sslctx_session_get_cb(), and ossl_sslctx_session_remove().

## Function Documentation

void Init_ossl_ssl | ( | void |  | ) |

Definition at line 1679 of file ossl_ssl.c.

References cSSLContext, cSSLSocket, eOSSLError, eSSLError, i, ID2SYM, ID_callback_state, Init_ossl_ssl_session(), LONG2FIX, mOSSL, mSSL, name, numberof, ossl_ssl_accept(), ossl_ssl_accept_nonblock(), ossl_ssl_attr_readers, ossl_ssl_attrs, ossl_ssl_close(), ossl_ssl_connect(), ossl_ssl_connect_nonblock(), ossl_ssl_def_const, ossl_ssl_ex_client_cert_cb_idx, ossl_ssl_ex_ptr_idx, ossl_ssl_ex_store_p, ossl_ssl_ex_tmp_dh_callback_idx, ossl_ssl_ex_vcb_idx, ossl_ssl_get_cert(), ossl_ssl_get_cipher(), ossl_ssl_get_client_ca_list(), ossl_ssl_get_peer_cert(), ossl_ssl_get_peer_cert_chain(), ossl_ssl_get_state(), ossl_ssl_get_verify_result(), ossl_ssl_initialize(), ossl_ssl_method_tab, ossl_ssl_pending(), ossl_ssl_read(), ossl_ssl_read_nonblock(), ossl_ssl_s_alloc(), ossl_ssl_session_reused(), ossl_ssl_set_session(), ossl_ssl_write(), ossl_ssl_write_nonblock(), ossl_sslctx_flush_sessions(), ossl_sslctx_get_ciphers(), ossl_sslctx_get_session_cache_mode(), ossl_sslctx_get_session_cache_size(), ossl_sslctx_get_session_cache_stats(), ossl_sslctx_initialize(), ossl_sslctx_s_alloc(), ossl_sslctx_session_add(), ossl_sslctx_session_remove(), ossl_sslctx_set_ciphers(), ossl_sslctx_set_session_cache_mode(), ossl_sslctx_set_session_cache_size(), ossl_sslctx_set_ssl_version(), ossl_sslctx_setup(), Qfalse, rb_ary_new2(), rb_ary_push(), rb_attr(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_const(), rb_define_method(), rb_define_module(), rb_define_module_under(), rb_define_private_method(), rb_intern, and rb_obj_freeze().

Referenced by Init_openssl().

void Init_ossl_ssl_session | ( | void |  | ) |

Definition at line 296 of file ossl_ssl_session.c.

References cSSLSession, eOSSLError, eSSLSession, mOSSL, mSSL, ossl_ssl_session_alloc(), ossl_ssl_session_eq(), ossl_ssl_session_get_time(), ossl_ssl_session_get_timeout(), ossl_ssl_session_initialize(), ossl_ssl_session_set_time(), ossl_ssl_session_set_timeout(), ossl_ssl_session_to_der(), ossl_ssl_session_to_pem(), ossl_ssl_session_to_text(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_method(), rb_define_module(), rb_define_module_under(), and rb_undef_method().

Referenced by Init_ossl_ssl().

## Variable Documentation

VALUE cSSLContext

Definition at line 29 of file ossl_ssl.c.

Referenced by Init_ossl_ssl(), and ossl_ssl_initialize().

VALUE cSSLSession

Definition at line 20 of file ossl_ssl_session.c.

Referenced by Init_ossl_ssl_session(), ossl_sslctx_session_get_cb(), ossl_sslctx_session_new_cb(), and ossl_sslctx_session_remove_cb().

VALUE cSSLSocket

Definition at line 30 of file ossl_ssl.c.

Referenced by Init_ossl_ssl(), and ossl_ssl_session_initialize().

VALUE eSSLError

Definition at line 28 of file ossl_ssl.c.

Referenced by Init_ossl_ssl(), ossl_ssl_read_internal(), ossl_ssl_session_reused(), ossl_ssl_set_session(), ossl_ssl_setup(), ossl_ssl_write_internal(), ossl_sslctx_add_extra_chain_cert_i(), ossl_sslctx_s_alloc(), ossl_sslctx_set_ciphers(), ossl_sslctx_set_ssl_version(), ossl_sslctx_setup(), ossl_start_ssl(), read_would_block(), and write_would_block().

VALUE mSSL

Definition at line 27 of file ossl_ssl.c.

Referenced by Init_ossl_ssl(), and Init_ossl_ssl_session().